View Issue Details

IDProjectCategoryView StatusLast Update
0003978SketcherBugpublic2020-03-22 22:21
Reporteruwestoehr Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.18 
Target Version0.19Fixed in Version0.19 
Summary0003978: unchanged reference dimensions lose reference mode
Description- take e.g. this simple sketch: https://forum.freecadweb.org/download/file.php?id=83827
- There are several reference-mode dimensions in it, double click on a reference-mode dimension and then do nothing, just press cancel in the appearing dialog

result: the dimension is no longer in reference mode but a normal mandatory dimension (turns from blue to red). But the dimension was not changed so there must not be any automatic change the user. Cancel must just cancel, nothing else.

(The problem is that in real life documents the suddenly new real dimensions make sketches over-constrained. Moreover the change from reference-mode for the dimensions cannot simply be undone. Therefore it is really hard to work with the reference mode.)
Additional Informationforum thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=36433
confirmed by @openBrain and @kisolre
Tagsundo
FreeCAD Information

Relationships

related to 0003793 closedwmayer Naming reference constraints on doubleclick 

Activities

openBrain

2020-03-17 23:29

developer   ~0014237

https://github.com/FreeCAD/FreeCAD/pull/3183

wmayer

2020-03-19 13:00

administrator   ~0014239

https://github.com/FreeCAD/FreeCAD/commit/2d9c2c64407032403f81e340655c838435cf0e79

wmayer

2020-03-22 22:21

administrator   ~0014262

Fix committed to master branch.

Related Changesets

FreeCAD: master 2d9c2c64

2020-03-17 21:15:04

0penBrain


Committer: wmayer Details Diff
[Sketcher] Constraint driving/driven status integration in dimension edition dialog

This integrates the ability to manage dimensional constraint driving/driven status
in the constraint edition dialog box.
It adds a checkbox in the dialog to show/select whether a constraint is driving or
driven. When the constraint value is modified, it is automatically set as driving.
Main focus is to allow to edit name (alias) of reference (driven) constraints
directly in the constraint edition box.

Resolves 0003793, 0003978
Affected Issues
0003793, 0003978
mod - src/Mod/Sketcher/Gui/CMakeLists.txt Diff File
mod - src/Mod/Sketcher/Gui/CommandConstraints.cpp Diff File
mod - src/Mod/Sketcher/Gui/EditDatumDialog.cpp Diff File
mod - src/Mod/Sketcher/Gui/EditDatumDialog.h Diff File
mod - src/Mod/Sketcher/Gui/InsertDatum.ui Diff File
mod - src/Mod/Sketcher/Gui/ViewProviderSketch.cpp Diff File

Issue History

Date Modified Username Field Change
2019-05-17 09:38 uwestoehr New Issue
2019-05-28 11:54 Kunda1 Summary unchanged reference dimensions loose reference mode => unchanged reference dimensions lose reference mode
2019-05-28 11:56 Kunda1 Relationship added related to 0003793
2019-05-28 12:04 Kunda1 Status new => confirmed
2019-05-28 12:04 Kunda1 Target Version => 0.19
2019-06-17 10:06 uwestoehr Additional Information Updated View Revisions
2020-02-20 21:09 Kunda1 Tag Attached: undo
2020-03-17 23:29 openBrain Assigned To => openBrain
2020-03-17 23:29 openBrain Status confirmed => assigned
2020-03-17 23:29 openBrain Note Added: 0014237
2020-03-19 13:00 wmayer Status assigned => closed
2020-03-19 13:00 wmayer Resolution open => fixed
2020-03-19 13:00 wmayer Fixed in Version => 0.19
2020-03-19 13:00 wmayer Note Added: 0014239
2020-03-22 22:21 wmayer Changeset attached => FreeCAD master 2d9c2c64
2020-03-22 22:21 wmayer Note Added: 0014262
2020-03-22 22:21 wmayer Assigned To openBrain => wmayer